PHP 7.4.x na FreeBSD 11.3 i błąd Joomla 3.9.x
Strona 1 z 3 123 OstatniOstatni
Wyniki 1 do 10 z 22

Temat: PHP 7.4.x na FreeBSD 11.3 i błąd Joomla 3.9.x

  1. #1
    Nowicjusz
    Dołączył
    07-09-2020
    Wpisy
    12
    Punkty
    2

    Domyślny PHP 7.4.x na FreeBSD 11.3 i błąd Joomla 3.9.x

    Od dłuższego czasu jestem użytkownikiem systemu FreeNas w oparciu o FreeBSD 11.3. Na tym systemie (w oddzielnym środowisku) mam zainstalowaną Joomlę (ostatnia dostępna wersja 3.9.x). Do działania Joomli mam również zainstalowany PHP 7.3.x (ostatnia dostępna wersja 7.3). Mój problem jest taki, że po próbie przeinstalowania PHP do wersji 7.4 moja strona ani zaplecze nie uruchamiają się. Mam na białym tle komunikat "Error." Mogę zainstalować każdą wsteczną wersję PHP mniejszą niż 7.4. Nie posiadam żadnych zewnętrznych rozszerzeń dla Joomli, a te które są zainstalowane są aktualne. Co ciekawe w identycznym środowisku jak Joomla mam zainstalowany również WordPress i po aktualizacji PHP do wersji 7.4 wszystko działa jak należy. Może mi ktoś pomóc w tym temacie, aby moja Joomla 3.9.x jak również przyszłościowe wersje późniejsze działały z PHP 7.4 pod FreeBSD 11.3 ? Ps. FreeNas obecnie nie ma możliwości aktualizacji do FreeBSD 12.x.

  2. Pani Reklamowa
    Pani Reklamowa jest aktywna
    Avatar Panny Google

    Dołączył
    19-08-2010
    Skąd
    Internet
    Postów
    milion
    Pochwał
    setki
  3. #2

  4. #3
    Nowicjusz
    Dołączył
    07-09-2020
    Wpisy
    12
    Punkty
    2

    Domyślny

    @terra


    Raczej niemożliwe. Mam postawione dwa identyczne, niezależne czyste środowiska FreeBSD 11.3. Na obydwu jest PHP 7.4. Na jednym działa wordpress 5.5 i jest OK, a na drugim joomla, czysty zainstalowany pakiet 3.9.21. I tutaj jest problem. Jak wrócę dla Joomli do PHP 7.3 wtedy jest OK

  5. #4
    Bywalec terra awatar
    Dołączył
    26-05-2017
    Skąd
    Wrocław
    Wpisy
    448
    Punkty
    50

    Domyślny

    Joomla działa na PHP 7.4, przyjmij to za pewnik i zacznij szukać gdzie indziej, w konfiguracji, w środowisku itd.. Zacznij od włączenia obsługi błędów PHP na full

  6. #5
    Nowicjusz
    Dołączył
    07-09-2020
    Wpisy
    12
    Punkty
    2

    Domyślny

    @terra.
    Zaglądnąłem do myphpadmin i mam coś takiego.
    Obrazek z PHP 7.4.9 jest z wordpress'a a ten z PHP 7.3.21 dot. Joomli.
    Wydaje mi się dla joomli jest stary klient bazy danych ??? Może tutaj jest problem ?
    Jak bezpiecznie podnieść wersję klienta, bez utraty danych, dostępu itp ?
    Załącznik 9848
    Załącznik 9849

  7. #6
    Nowicjusz
    Dołączył
    07-09-2020
    Wpisy
    12
    Punkty
    2

    Domyślny

    Coś nie tak jest załącznikiem 9849. Poniżej daję nowy załącznikZałącznik 9850

  8. #7
    Bywalec terra awatar
    Dołączył
    26-05-2017
    Skąd
    Wrocław
    Wpisy
    448
    Punkty
    50

    Domyślny

    załączniki w forum nie działają, musisz umieścić je gdzieś indziej i wkleić link

  9. #8
    Nowicjusz
    Dołączył
    07-09-2020
    Wpisy
    12
    Punkty
    2

    Domyślny

    Ja je widzę teraz. Wystarczy kliknąć na link o nazwie "załącznikXXXX"

  10. #9
    Wiarus siristru awatar
    Dołączył
    28-05-2009
    Skąd
    Szczecin
    Wpisy
    2 410
    Punkty
    248

    Domyślny

    Cytat Wysłane przez Jedrusia Zobacz wiadomość
    Ja je widzę teraz. Wystarczy kliknąć na link o nazwie "załącznikXXXX"
    A my widzimy to: http://prntscr.com/ueiv7z
    Poza tym, załączone obrazki są zmniejszane i niewiele na nich czasami widać.

    Spróbuj: http://prntscr.com
    Na Forum pomagam bezpłatnie ad maiorem Joomla gloriam
    Mimo pomocy na forum nie dajesz rady? Potrzebujesz by ekspert "zrobił to" za Ciebie?
    Napisz do mnie na PW. Argentum et Aurum nie zawsze jest konieczne ;)

  11. #10
    Nowicjusz
    Dołączył
    07-09-2020
    Wpisy
    12
    Punkty
    2

    Domyślny

    Załączniki dotyczące mojego posta #5 z tego tematu: https://prnt.sc/uepeev oraz https://prnt.sc/uepexw

Strona 1 z 3 123 OstatniOstatni

Podobne tematy

  1. błąd The requested URL /php-fcgi/php-fcgi-5.default/index.php was not found on this s
    przez majkigru na forum Instalacja, aktualizacja, migracje
    Odpowiedzi: 4
    Ostatni post/autor: 23-12-2011, 10:44
  2. error.php a .htaccess (ErrorDocument 404 /error.php) (joomla 1.7)
    przez mitas na forum Administracja - ogólnie
    Odpowiedzi: 5
    Ostatni post/autor: 01-09-2011, 12:29
  3. Odpowiedzi: 0
    Ostatni post/autor: 16-02-2010, 01:29
  4. instalacja na freebsd
    przez mkarach na forum Instalacja, aktualizacja, migracje
    Odpowiedzi: 2
    Ostatni post/autor: 11-02-2010, 21:54
  5. Błąd includes/joomla.php on line 71 / version.php
    przez MemfiS na forum Instalacje (Joomla!, składników)
    Odpowiedzi: 10
    Ostatni post/autor: 29-07-2007, 15:18

Reguły pisania

  • Nie możesz zakładać nowych tematów
  • Nie możesz dodawać wypowiedzi
  • Nie możesz dodawać załączników
  • Nie możesz poprawiać swoich postów
  •